#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	zlib
Version		:	1.2.13
Release		:	14.4.0.0%{?dist}
Summary		:	Header files and libraries for Zlib development
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	zlib and Boos
URL		:	https://zlib.net/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
#need to have access to /usr/sbin/ldconfig
Requires(post)	:	glibc
Requires(post)	:	ncurses

#-----------------------------------------------------------------------------
%description
Zlib is a general-purpose, patent-free, lossless data compression
library which is used by many different programs.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README
%{_libdir}/libz.so.*
%{_libdir}/libminizip.so.*

#=============================================================================
%package		devel
Summary		:	Header files and libraries for Zlib development

Requires	:	%{name} = %{version}-%{release}

%description		devel
The zlib-devel package contains the header files and libraries needed
to develop programs that use the zlib compression and decompression
library.

%files			devel
%defattr(-,root,root,-)
%doc README
%{_includedir}/zconf.h
%{_includedir}/zlib.h
%{_includedir}/minizip/*.h
%{_libdir}/libz.so
%{_libdir}/libminizip.so
%{_libdir}/pkgconfig/zlib.pc
%{_libdir}/pkgconfig/minizip.pc
%{_mandir}/man3/zlib.3*

#=============================================================================
%package		static
Summary		:	Static libraries for Zlib development

Requires	:	%{name}-devel = %{version}-%{release}

%description		static
The zlib-static package includes static libraries needed
to develop programs that use the zlib compression and
decompression library.

%files			static
%defattr(-,root,root,-)
%{_libdir}/libz.a
#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libdir=%{_libdir}				\
	--localstatedir=%{_var}				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#Building minizip interface
pushd contrib/minizip
cp Makefile Makefile.orig
cp ../README.contrib readme.txt

autoreconf --install
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libdir=%{_libdir}				\
	--localstatedir=%{_var}				\
	--enable-static=no				\

%{__make} %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make} DESTDIR="%{buildroot}" install

pushd contrib/minizip
%{__make} DESTDIR="%{buildroot}" install
popd

# https://github.com/madler/zlib/pull/229
%{__rm} %{buildroot}/usr/include/minizip/crypt.h

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#=============================================================================
%changelog
